Subject: FVWM: Re: tabbed xterms

From: SCoTT SMeDLeY <[email-masked]>
Date: Tue, 26 Nov 2002 10:39:59 +1100

: > Sorry if this has been asked before. Just wondering if fvwm supports
: > tabbed windows like pwm:
: > http://modeemi.cs.tut.fi/~tuomov/pwm/screenshots/pwm-1.jpg
: 
: No, it's not supported.  Maybe at some time in the future, but
: there are currently no plans to add that feature to the fvwm core.
: It may be done in a module, though.
: 
: Bye
: 
: Dominik ^_^  ^_^

How would that work?

A simple perl module manipulating a row of buttons (or tabs) could
just hide/show appropriate windows ... but wouldn't fvwm treat it as
a separate app & give it its own border/move them separately/etc?

SCoTT. :)
-- 
[email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Mon, 25 Nov 2002 21:29:59 -0800

> a separate app & give it its own border/move them separately/etc?

More than just xterms, I hope.  Gotta stack my vim's, too.

I hoping to get back to something a lot like this after I finish up the first
run on another module.  I did an ion-like module a while back, but it
turned out to get a bit more complicated than it was really worth.  There are
some screenshots at http://imonk.com/baboon/FvwmPartition.
At least one of the pictures has two windows in the same pane.

I'm thinking of simplifying it a bit by removing/deactivating the
subdivision functionality and then concentrating on the tab and
launch capabilities.

-- 
  _
 ( \      _  \    /_ /  _ _  Jason Weber                  (503) 380-7424
  \|(\/)()))  \/\/(-/_)(-/(  Infinite Monkeys Inc.        Aloha, Oregon
  //                         http://www.imonk.com/baboon  [email-masked]
 (/     [email-masked]        [email-masked]

     "Canister contains at least 50% recycled material; 15%
      post-consumer content."
   -- Pringles Fat-Free (side of can)
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].